dnsviz-query(1)

NAME
dnsviz-query - assess a DNS query

SYNOPSIS
dnsviz query [ @server ] [ -b address ] [ -c class ] [ -q name ] [ -t type ] [ -x addr ] [ -4 ] [ -6 ] [ name ] [ type ] [ class ] [ queryopt... ]

dnsviz query [ -h ]

dnsviz query [ global-queryopt... ] [ query... ]

DESCRIPTION
Issue queries for the names and types specified on the command line to DNS servers, process the output, and present it to the user. dnsviz-query adopts a subset of the command-line options used by ISC's dig(1) but uses dnsviz-probe(1) and dnsviz-print(1) to issue queries and assess the results. It is meant to be a shortcut for quickly assessing DNS queries and diagnosing problems by invoking dnsviz-probe(1) and dnsviz-print(1) with their most commonly used options and with a usage familiar similar to (but not equal to) dig(1). For a more detailed analysis, revealing the nature of errors, the user should use dnsviz-probe(1), dnsviz-grok(1), dnsviz-print(1), and dnsviz-graph(1) directly. By default diagnostic queries are sent to recursive servers. If no servers are specified with "@", then the first server in /etc/resolv.conf is selected. Note that unlike dig(1) dnsviz-query(1) only tries one server. If +trace is used, the behavior changes, and the root authoritative servers are first queried and referrals are followed downwards to the name(s) in question. To simplify usage a default root trusted key if none is specified on the command line with +trusted-key.

OPTIONS

-x address
    Specify and IPv4 or IPv6 address for a reverse DNS (i.e., PTR) lookup.

-b address
    Specify a source IPv4 or IPv6 address for queries, rather than detecting it. This option can be used more than once to supply both an IPv4 and an IPv6 address. The use of this option is sometimes necessary when using a dual-homed machine, and it is desirable to use the non-default interface for queries.

-q name
    Specify a query name.

-t type
    Specify a query type.

-c class
    Specify a query class (currently, only IN is supported; all other classes are ignored).

-4  Use IPv4 only. If this is specified, then queries over IPv6 are not attempted, unless -6 is also specified.

-6  Use IPv6 only. If this is specified, then queries over IPv4 are not attempted, unless -4 is also specified.

QUERY OPTIONS

+[no]trace
    Query authoritative servers, beginning at the DNS root, and follow referrals downwards. The default is to query a recursive server instead.

+trusted-key=filename
    Specify a file that contains trusted keys for processing diagnostic queries. The format of this file is master zone file format and should contain DNSKEY records that correspond to one more trusted keys for one or more DNS zones.

EXIT CODES
The exit codes are:

0   Program terminated normally.

1   Program execution was interrupted, or an unknown error occurred.

SEE ALSO
dnsviz(1), dnsviz-probe(1), dnsviz-grok(1), dnsviz-graph(1), dnsviz-print(1)